> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smokeball.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get stage sets for the firm

> Returns a list of stage sets for the firm.



## OpenAPI

````yaml /openapi.json get /stagesets
openapi: 3.0.1
info:
  title: API
  version: '1.0'
servers:
  - url: https://api.smokeball.com
  - url: https://api.smokeball.com.au
  - url: https://api.smokeball.co.uk
  - url: https://stagingapi.smokeball.com
  - url: https://stagingapi.smokeball.com.au
  - url: https://stagingapi.smokeball.co.uk
security:
  - api-key: []
    token: []
paths:
  /stagesets:
    get:
      tags:
        - Stages
      summary: Get stage sets for the firm
      description: Returns a list of stage sets for the firm.
      operationId: GetStageSets
      parameters:
        - name: Offset
          in: query
          schema:
            maximum: 2147483647
            minimum: 0
            type: integer
            format: int32
        - name: Limit
          in: query
          schema:
            maximum: 500
            minimum: 1
            type: integer
            format: int32
        - name: UpdatedSince
          in: query
          description: >-
            Returns items updated since a specified time (.net ticks
            representation of the UTC datetime).
          schema:
            type: integer
            format: int64
        - name: LastUpdated
          in: query
          description: "Deprecated, use updatedSince\r\nReturns items updated since a specified time."
          schema:
            type: string
            format: date-time
      responses:
        '200':
          description: >-
            When request is successful. Returns a paged collection of 'StageSet'
            objects.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StageSetPagedCollection'
components:
  schemas:
    StageSetPagedCollection:
      type: object
      properties:
        id:
          type: string
          nullable: true
        href:
          type: string
          nullable: true
        relation:
          type: string
          nullable: true
        method:
          type: string
          default: GET
          nullable: true
        self:
          allOf:
            - $ref: '#/components/schemas/Link'
          nullable: true
        value:
          type: array
          items:
            $ref: '#/components/schemas/StageSet'
          nullable: true
        offset:
          type: integer
          format: int32
          nullable: true
        limit:
          type: integer
          format: int32
          nullable: true
        size:
          type: integer
          format: int64
        first:
          allOf:
            - $ref: '#/components/schemas/Link'
          nullable: true
        previous:
          allOf:
            - $ref: '#/components/schemas/Link'
          nullable: true
        next:
          allOf:
            - $ref: '#/components/schemas/Link'
          nullable: true
        last:
          allOf:
            - $ref: '#/components/schemas/Link'
          nullable: true
      additionalProperties: false
    Link:
      type: object
      properties:
        id:
          type: string
          nullable: true
        href:
          type: string
          nullable: true
        relation:
          type: string
          nullable: true
        method:
          type: string
          default: GET
          nullable: true
      additionalProperties: false
    StageSet:
      type: object
      properties:
        href:
          type: string
          nullable: true
        relation:
          type: string
          nullable: true
        method:
          type: string
          default: GET
          nullable: true
        self:
          allOf:
            - $ref: '#/components/schemas/Link'
          nullable: true
        id:
          type: string
          description: Unique identifier of the stage set.
          nullable: true
          example: 6ccc033d-67c9-4090-8705-3aff0c5a8cfb
        versionId:
          type: string
          description: Version id of the record.
          nullable: true
          example: 499244ff-651f-4f66-b618-9defde27c281
        name:
          type: string
          description: Name of the stage set.
          nullable: true
          example: Review contract
        isDeleted:
          type: boolean
          description: True when the stage set is deleted.
          example: true
        stages:
          type: array
          items:
            $ref: '#/components/schemas/Stage'
          description: Stages of the stage set.
          nullable: true
        lastUpdated:
          type: integer
          description: Timestamp when the stage set was last updated.
          format: int64
          example: 637847425252027400
      additionalProperties: false
      description: Contains the stage set and stages information.
    Stage:
      type: object
      properties:
        href:
          type: string
          nullable: true
        relation:
          type: string
          nullable: true
        method:
          type: string
          default: GET
          nullable: true
        self:
          allOf:
            - $ref: '#/components/schemas/Link'
          nullable: true
        id:
          type: string
          description: Unique identifier of the stage.
          nullable: true
          example: 45b94df1-1657-48b0-ae81-583b42ed52d6
        versionId:
          type: string
          description: Version id of the record.
          nullable: true
          example: 09d1f360-b810-4a63-acaa-5ed81a551f06
        name:
          type: string
          description: Name of the stage.
          nullable: true
          example: Review contract
        isDeleted:
          type: boolean
          description: True when the stage is deleted.
          example: true
        lastUpdated:
          type: integer
          description: Timestamp when the stage was last updated.
          format: int64
          example: 637847425252027400
      additionalProperties: false
      description: Contains information of a stage in a stage set.
  securitySchemes:
    api-key:
      type: apiKey
      name: x-api-key
      in: header
    token:
      type: apiKey
      name: Authorization
      in: header
      x-amazon-apigateway-authtype: cognito_user_pools

````